# coding=utf-8

from django.conf import settings

from rest_framework import serializers

from utils.exceptions import CustomError

from apps.base import Formater
from .models import MaintOrderReserve

class MaintOrderReserveSerializer(serializers.ModelSerializer):
    shop_name = serializers.CharField(source='shop.name', read_only=True)
    brand_name = serializers.CharField(source='series.brand.name', read_only=True)
    series_name = serializers.CharField(source='series.name', read_only=True)
    customer_name = serializers.CharField(source='customer.name', read_only=True)
    status_text = serializers.CharField(source='get_status_display', read_only=True)
    create_time = serializers.DateTimeField(format='%Y-%m-%d %H:%M', read_only=True)
    date = serializers.DateField(format='%Y-%m-%d')

    class Meta:
        model = MaintOrderReserve
        fields = '__all__'

