# coding=utf-8

import django_filters

from .models import VhicleDriveReserve, VhicleInquiry, UsedVhicleInquiry, UsedVhicleEstimate


class VhicleDriveReserveFilter(django_filters.FilterSet):
    name = django_filters.CharFilter(field_name='name', lookup_expr='icontains')
    tel = django_filters.CharFilter(field_name='tel', lookup_expr='icontains')
    shop = django_filters.CharFilter(field_name='shop')
    status = django_filters.CharFilter(field_name='status')
    id = django_filters.CharFilter(field_name='id')

    class Meta:
        model = VhicleDriveReserve
        fields = '__all__'


class VhicleInquiryFilter(django_filters.FilterSet):
    name = django_filters.CharFilter(field_name='name', lookup_expr='icontains')
    tel = django_filters.CharFilter(field_name='tel', lookup_expr='icontains')
    shop = django_filters.CharFilter(field_name='shop')
    status = django_filters.CharFilter(field_name='status')
    id = django_filters.CharFilter(field_name='id')

    class Meta:
        model = VhicleInquiry
        fields = '__all__'


class UsedVhicleInquiryFilter(django_filters.FilterSet):
    name = django_filters.CharFilter(field_name='name', lookup_expr='icontains')
    tel = django_filters.CharFilter(field_name='customer__tel', lookup_expr='icontains')
    brand = django_filters.CharFilter(field_name='brand')
    status = django_filters.CharFilter(field_name='status')
    id = django_filters.CharFilter(field_name='id')

    class Meta:
        model = UsedVhicleInquiry
        fields = '__all__'



class UsedVhicleEstimateFilter(django_filters.FilterSet):
    name = django_filters.CharFilter(field_name='customer__name', lookup_expr='icontains')
    tel = django_filters.CharFilter(field_name='customer__tel', lookup_expr='icontains')
    brand = django_filters.CharFilter(field_name='brand')
    status = django_filters.CharFilter(field_name='status')
    id = django_filters.CharFilter(field_name='id')

    class Meta:
        model = UsedVhicleEstimate
        fields = '__all__'


