# coding=utf-8

from django.conf import settings

from rest_framework import serializers
from apps.store.models import Shop


class ShopSerializer(serializers.ModelSerializer):
    img = serializers.SerializerMethodField()

    def get_img(self, obj):
        if obj.img:
            return {'width': obj.img.width, 'height': obj.img.height, 'url': obj.img.get_path()}
        return ''

    class Meta:
        model = Shop
        fields = ('id', 'name', 'addr', 'img', )


class ShopDetailSerializer(serializers.ModelSerializer):
    img = serializers.SerializerMethodField()

    def get_img(self, obj):
        if obj.img:
            return {'width': obj.img.width, 'height': obj.img.height, 'url': obj.img.get_path()}
        return ''

    class Meta:
        model = Shop
        fields = '__all__'
