# coding=utf-8

from utils.exceptions import CustomError
from django.utils import timezone
from django.conf import settings
from rest_framework import serializers
from apps.vehicle.models import Series, Brand, Model

class SeriesSerializer(serializers.ModelSerializer):
    brand_name = serializers.CharField(source='brand.name', read_only=True)
    img_url = serializers.SerializerMethodField()

    def get_img_url(self, obj):
        if obj.thumbnail:
            return '%s%s' % (settings.MEDIA_URL, obj.thumbnail.picture)
        return ''


    class Meta:
        model = Series
        fields = '__all__'